pcl::Correspondence Struct Reference
Module common

Correspondence represents a match between two entities (e.g., points, descriptors, etc). More...

`#include <pcl/correspondence.h>`

Inheritance diagram for pcl::Correspondence:

## Public Member Functions

| Correspondence ()
| Standard constructor. More...
| Correspondence (int _index_query, int _index_match, float _distance)
| Constructor. More...
virtual | ~Correspondence ()
| Empty destructor. More...

## Public Attributes

int | index_query
| Index of the query (source) point. More...
int | index_match
| Index of the matching (target) point. More...
union {
float distance
float weight
}; |
| Distance between the corresponding points, or the weight denoting the confidence in correspondence estimation. More...

## Detailed Description

Correspondence represents a match between two entities (e.g., points, descriptors, etc).

This is represesented via the indices of a source point and a target point, and the distance between them.

Author
  Dirk Holz, Radu B. Rusu, Bastian Steder

Definition at line 58 of file correspondence.h.

## Constructor & Destructor Documentation

## Correspondence() [1/2]

pcl::Correspondence::Correspondence | ( |  | ) |

inline

Standard constructor.

Sets index_query to 0, index_match to -1, and distance to FLT_MAX.

Definition at line 74 of file correspondence.h.

## Correspondence() [2/2]

pcl::Correspondence::Correspondence | ( | int | _index_query,
|  | int | _index_match,
|  | float | _distance
| ) |  |

inline

Constructor.

Definition at line 79 of file correspondence.h.

## ~Correspondence()

virtual pcl::Correspondence::~Correspondence | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 84 of file correspondence.h.

References pcl::operator<<().

## Member Data Documentation

## @1

union { ... }

Distance between the corresponding points, or the weight denoting the confidence in correspondence estimation.

## distance

float pcl::Correspondence::distance

Definition at line 67 of file correspondence.h.

Referenced by pcl::recognition::TrimmedICP< pcl::PointXYZ, float >::compareCorrespondences(), pcl::registration::CorrespondenceEstimationNormalShooting< PointSource, PointTarget, NormalT, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimationBackProjection< PointSource, PointTarget, NormalT, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimation< PointSource, PointTarget, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimationNormalShooting< PointSource, PointTarget, NormalT, Scalar >::determineReciprocalCorrespondences(), pcl::registration::CorrespondenceEstimationBackProjection< PointSource, PointTarget, NormalT, Scalar >::determineReciprocalCorrespondences(), pcl::registration::CorrespondenceEstimation< PointSource, PointTarget, Scalar >::determineReciprocalCorrespondences(), pcl::isBetterCorrespondence(), pcl::registration::sortCorrespondencesByDistance::operator()(), pcl::registration::sortCorrespondencesByQueryIndexAndDistance::operator()(), and pcl::registration::sortCorrespondencesByMatchIndexAndDistance::operator()().

## index_match

int pcl::Correspondence::index_match

Index of the matching (target) point.

Set to -1 if no correspondence found.

Definition at line 63 of file correspondence.h.

Referenced by pcl::JointIterativeClosestPoint< PointSource, PointTarget, Scalar >::computeTransformation(), pcl::registration::CorrespondenceEstimationNormalShooting< PointSource, PointTarget, NormalT, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimationBackProjection< PointSource, PointTarget, NormalT, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimation< PointSource, PointTarget, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimationNormalShooting< PointSource, PointTarget, NormalT, Scalar >::determineReciprocalCorrespondences(), pcl::registration::CorrespondenceEstimationBackProjection< PointSource, PointTarget, NormalT, Scalar >::determineReciprocalCorrespondences(), pcl::registration::CorrespondenceEstimation< PointSource, PointTarget, Scalar >::determineReciprocalCorrespondences(), pcl::registration::DataContainer< PointT, NormalT >::getCorrespondenceScore(), pcl::registration::DataContainer< PointT, NormalT >::getCorrespondenceScoreFromNormals(), pcl::registration::sortCorrespondencesByMatchIndex::operator()(), and pcl::registration::sortCorrespondencesByMatchIndexAndDistance::operator()().

## index_query

int pcl::Correspondence::index_query

Index of the query (source) point.

Definition at line 61 of file correspondence.h.

Referenced by pcl::JointIterativeClosestPoint< PointSource, PointTarget, Scalar >::computeTransformation(), pcl::registration::CorrespondenceEstimationNormalShooting< PointSource, PointTarget, NormalT, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimationBackProjection< PointSource, PointTarget, NormalT, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimation< PointSource, PointTarget, Scalar >::determineCorrespondences(), pcl::registration::CorrespondenceEstimationNormalShooting< PointSource, PointTarget, NormalT, Scalar >::determineReciprocalCorrespondences(), pcl::registration::CorrespondenceEstimationBackProjection< PointSource, PointTarget, NormalT, Scalar >::determineReciprocalCorrespondences(), pcl::registration::CorrespondenceEstimation< PointSource, PointTarget, Scalar >::determineReciprocalCorrespondences(), pcl::registration::DataContainer< PointT, NormalT >::getCorrespondenceScore(), pcl::registration::DataContainer< PointT, NormalT >::getCorrespondenceScoreFromNormals(), pcl::registration::sortCorrespondencesByQueryIndex::operator()(), and pcl::registration::sortCorrespondencesByQueryIndexAndDistance::operator()().

## weight

float pcl::Correspondence::weight

Definition at line 68 of file correspondence.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/correspondence.h